List Memory Relations
List semantic relations around a memory.
Path Parameters
memory_id*Memory Id
Query Parameters
direction?Direction
Default
"both"Value in
- "out"
- "in"
- "both"
types?|
Comma-separated relation_type filter
status?Status
Comma-separated status filter, default active
Default
"active"limit?Limit
Range
1 <= value <= 200Default
50offset?Offset
Range
0 <= valueDefault
0space_id?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/memories/string/relations"{ "memory_id": "string", "relations": [ { "id": "string", "source_memory_id": "string", "source_title": "", "source_space_id": "string", "target_memory_id": "string", "target_title": "", "target_space_id": "string", "relation_type": "string", "strength": 0, "confidence": 0, "bidirectional": false, "status": "active", "reviewed": true, "source": "string", "author_id": "string", "agent_id": "string", "source_app": "string", "reason": "string", "properties": {}, "created_at": null, "updated_at": null, "direction": "string" } ], "total": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}